# Типографика

*Эти возможности определены в файле [_typography.scss](../lib/_typography.scss).*

## Задаваемые стили

### h1…h6

Для заголовков задаются размер шрифта (при помощи примеси [heading-font-size](#heading-font-size)) и
внешние отступы (при помощи примеси [heading-margins](#heading-margins)).

## Функции

### heading-size-multiplier

Возвращает множитель для вычисления размера шрифта заголовка.

**Синтаксис**

    heading-size-multiplier ( $level, $ratio )

**Аргументы**

- `$level` — Целое число от 1 до 6, задающее уровень заголовка.
- `$ratio` — Отношение размеров заголовков.

**Возвращаемое значение**

Число, на которое надо умножить [$font-size-base](settings.ru.md#font-size-base) для получения
размера шрифта заголовка указанного уровня.

**Описание**

Используется в примеси [heading-font-size](#heading-font-size).


## Заголовки

### heading-font-size

Примесь позволяет задать элементу размер шрифта (и высоту строки), соответствующий размеру заголовка
указанного уровня. Размер шрифта рассчитывается по формуле:

font-size = [$heading-base-size](settings.ru.md#heading-base-size) × R(L)

где `R(L)` — множитель, вычисляемый с помощью функции
[heading-size-multiplier](#heading-size-multiplier) на основе уровня заголовка (L) и
[коэффициента изменения размера заголовков](settings.ru.md#Коэффициенты-изменения-размера-заголовков)
для соответствующего устройства.

Пример:

```scss
@include element(title) {
    @include heading-font-size(2);
}
```

### heading-margins

Задаёт внешние отступы, соответствующие уровню заголовка.
